<?php
namespace app\daohang\controller;

use app\common\controller\Front;

class Category extends Front
{
    // 继承上级
    public function _initialize()
    {
        if( !daohangRequestCheck($this->request->ip(),$this->request->header('user-agent')) ){
            $this->error(lang('dh_error_rest'), 'daohang/index/index');
        }
        parent::_initialize();
    }
    
    //category/index/?id=1&page=1
    public function index()
    {
        if( isset($this->query['id']) ){
            $term = daohangCategoryId($this->query['id']);
        }elseif( isset($this->query['slug']) ){
            $term = daohangCategorySlug($this->query['slug']);
        }elseif( isset($this->query['name']) ){
            $term = daohangCategoryName($this->query['name']);
        }else{
            $this->error(lang('mustIn'),'daohang/index/index');
        }
        if(!$term){
            $this->error(lang('empty'),'daohang/index/index');
        }
        //子分类
        $term['term_ids']   = DcTermSubIds($term['term_id'],'category','array');
        //分页路径
        $term['pagePath']   = daohangUrlCategory($term,'[PAGE]');
        //分页数量
        if(is_numeric($term['term_limit'])){
            $term['pageSize'] = $term['term_limit'];
        }else{
            $term['pageSize'] = intval(config('daohang.limit_category'));
        }
        //地址栏
        $term['pageNumber'] = $this->site['page'];
        $term['sortName']   = 'info_order desc,info_update_time';
        $term['sortOrder']  = 'desc';
        //SEO标签
        $term['seoTitle']       = daohangSeo(DcEmpty($term['term_title'],$term['term_name']),$this->site['page']);
        $term['seoKeywords']    = daohangSeo(DcEmpty($term['term_keywords'],$term['term_name']),$this->site['page']);
        $term['seoDescription'] = daohangSeo(DcEmpty($term['term_description'],$term['term_name']),$this->site['page']);
        //分页数据
        if($term['pageSize']){
            $item = daohangSelect([
                'cache'   => true,
                'status'  =>'normal',
                'term_id' => $term['term_id'],
                'limit'   => $term['pageSize'],
                'page'    => $term['pageNumber'],
                'sort'    => $term['sortName'],
                'order'   => $term['sortOrder'],
            ]);
            //变量赋值
            if($item){
                $this->assign($item);
            }
        }
        //变量赋值
        $this->assign($term);
        //加载模板
        if($term['term_tpl']){
            return $this->fetch($term['term_tpl']);
        }
        return $this->fetch();
    }
    
    //空操作
    public function _empty($action='')
    {
        $this->redirect('daohang/category/index', $this->query, 302);
    }
}